[versions]

agp = "7.2.0"
compile-sdk = "32"
jvm-target = "11"
kotlin = "1.6.21"
min-sdk = "24"
target-sdk = "32"

coroutines = "1.6.1"
android-core = "1.7.0"
androidx = "1.4.0"
compose = "1.2.0-beta01"
customview = "1.2.0-alpha01"
customview-poolingcontainer = "1.0.0-beta02"
annotation = '1.3.0'
collection = '1.2.0'
navigation = '2.4.2'
constraint-layout = "2.1.2"
coordinator-layout ='1.2.0'
swiperefresh-layout = '1.1.0'
recycler-view = "1.2.1"
lifecycle = "2.4.1"
lifecycle-ext = '2.2.0'
preference = "1.1.1"
sqlite = '2.2.0'
room-compiler = '2.3.0'
room = '2.4.2'
paging = '3.1.0'
viewpager = '1.0.0'
exifinterface = '1.3.3'
browser = '1.4.0'
webkit = '1.4.0'
camera = '1.0.2'
camera-view = '1.0.0-alpha30'
work = '2.7.1'
google-shortcuts = '1.0.0'

hilt = "2.38.1"
material = '1.5.0'
play-services-location = '19.0.1'
play-services-base = '18.0.1'
play-services-wallet = '19.1.0'
firebase-bom = '26.8.0'
google-services = '4.3.10'
crashlytics = '2.6.1'
appcheck-safetynet = '16.0.0-beta04'
installreferrer = '2.2'
mlkit-barcode = '17.0.2'
play-core = '1.8.1'

okhttp = '5.0.0-alpha.2'
retrofit = '2.9.0'

leakcanary = '2.7'

decoro = '1.5.0'

glide = '4.12.0'

amplitude = '3.35.1'

appsflyer = '6.5.2'

huawei-ads-identifier = '3.4.52.301'

yandex-maps = '4.0.0-full'
yandex-mobmetricalib = '4.2.0'
yandex-mobmetricapushlib = '2.1.0'

facebook-shimmer = '0.5.0'

netcipher = '2.1.0'

junit = '4.13.2'
junit-androidx = '1.1.3'
espresso = '3.4.0'
mockito = "4.2.0"
powermock = "2.0.9"
robolectric = '4.7.3'

objectbox = "3.1.1"
logback = "2.0.0"

eat-log = '1.0.6'
eat-ext = '1.0.15'
apihelper = '1.0.11'
eat-nav = '1.0.1'
keyboardhelper = '1.0.0'
loadingui = '1.0.16'
iosdialog = '1.0.8'
glidemodule = '1.0.4'
swipelayout = '1.0.1'
stickyheaders = '1.0.1'
chrometab = '1.0.0'
eat-res = '1.0.6'

[plugins]
android-app = {id = "com.android.application", version.ref = "agp" }
android-lib = {id = "com.android.library", version.ref = "agp" }
kotlin-android = {id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
kotlin-jvm = {id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
dokka = {id = "org.jetbrains.dokka", version.ref = "kotlin" }

[libraries]

eat-log = {group = "ru.eatmarket", name = "logutils", version.ref = "eat-log" }
eat-ext = {group = "ru.eatmarket", name = "extentions", version.ref = "eat-ext" }
eat-res = {group = "ru.eatmarket", name = "sharedresources", version.ref = "eat-res" }
eat-nav = {group = "ru.eatmarket", name = "navigation", version.ref = "eat-nav" }
apihelper = {group = "ru.eatmarket", name = "apihelper", version.ref = "apihelper" }
keyboardhelper = {group = "ru.eatmarket", name = "keyboardhelper", version.ref = "keyboardhelper" }
loadingui = {group = "ru.eatmarket", name = "loadingui", version.ref = "loadingui" }
iosdialog = {group = "ru.eatmarket", name = "iosdialog", version.ref = "iosdialog" }
glidemodule = {group = "ru.eatmarket", name = "glidemodule", version.ref = "glidemodule" }
swipelayout = {group = "ru.eatmarket", name = "swipelayout", version.ref = "swipelayout" }
stickyheaders = {group = "ru.eatmarket", name = "stickyheaders", version.ref = "stickyheaders" }
chrometab = {group = "ru.eatmarket", name = "chrometab", version.ref = "chrometab" }

gradle-tools = {group = "com.android.tools.build", name = "gradle", version.ref = "agp" }
kotlin-gradle-plugin = {group = "org.jetbrains.kotlin", name = "kotlin-gradle-plugin", version.ref = "kotlin" }
navigation-safe-args = {group = "androidx.navigation", name = "navigation-safe-args-gradle-plugin", version.ref = "navigation" }
google-services = {group = "com.google.gms", name = "google-services", version.ref = "google-services" }

coroutines = {group = "org.jetbrains.kotlinx", name = "kotlinx-coroutines-core", version.ref = "coroutines" }
coroutines-android = {group = "org.jetbrains.kotlinx", name = "kotlinx-coroutines-android", version.ref = "coroutines" }
android-core = {group = "androidx.core", name = "core-ktx", version.ref = "android-core" }
annotation = {group = "androidx.annotation", name = "annotation", version.ref = "annotation" }
collection = {group = "androidx.collection", name = "collection-ktx", version.ref = "collection" }
appcompat = {group = "androidx.appcompat", name = "appcompat", version.ref = "androidx" }
activity = {group = "androidx.activity", name = "activity-ktx", version.ref = "androidx" }
fragment = {group = "androidx.fragment", name = "fragment-ktx", version.ref = "androidx" }
compose-activity = {group = "androidx.activity", name = "activity-compose", version.ref = "androidx" }
compose-material = {group = "androidx.compose.material", name = "material", version.ref = "compose" }
compose-material-icons = {group = "androidx.compose.material", name = "material-icons-extended", version.ref = "compose" }
compose-navigation = {group = "androidx.navigation", name = "navigation-compose", version.ref = "navigation" }
compose-ui = {group = "androidx.compose.ui", name = "ui", version.ref = "compose" }
compose-ui-tooling = {group = "androidx.compose.ui", name = "ui-tooling", version.ref = "compose" }
compose-ui-tooling-preview = {group = "androidx.compose.ui", name = "ui-tooling-preview", version.ref = "compose" }
compose-viewmodel = {group = "androidx.lifecycle", name = "lifecycle-viewmodel-compose", version.ref = "lifecycle" }
customview = {group = "androidx.customview", name = "customview", version.ref = "customview" }
customview-poolingcontainer = {group = "androidx.customview", name = "customview-poolingcontainer", version.ref = "customview-poolingcontainer" }
lifecycle-compiler = {group = "androidx.lifecycle", name = "lifecycle-compiler", version.ref = "lifecycle" }
lifecycle-runtime = {group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "lifecycle" }
livedata = {group = "androidx.lifecycle", name = "lifecycle-livedata-ktx", version.ref = "lifecycle" }
viewmodel = {group = "androidx.lifecycle", name = "lifecycle-viewmodel-ktx", version.ref = "lifecycle" }
lifecycle-ext = {group = "androidx.lifecycle", name = "lifecycle-extensions", version.ref = "lifecycle-ext" }
nav-fragment = {group = "androidx.navigation", name = "navigation-fragment-ktx", version.ref = "navigation" }
nav-ui = {group = "androidx.navigation", name = "navigation-ui-ktx", version.ref = "navigation" }
constraint-layout = {group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "constraint-layout" }
coordinator-layout = {group = "androidx.coordinatorlayout", name = "coordinatorlayout", version.ref = "coordinator-layout" }
swiperefresh-layout = {group = "androidx.swiperefreshlayout", name = "swiperefreshlayout", version.ref = "swiperefresh-layout" }
recycler-view = {group = "androidx.recyclerview", name = "recyclerview", version.ref = "recycler-view" }
preference = {group = "androidx.preference", name = "preference", version.ref = "preference" }
sqlite = {group = "androidx.sqlite", name = "sqlite-ktx", version.ref = "sqlite" }
room = {group = "androidx.room", name = "room-runtime", version.ref = "room" }
room-compiler = {group = "androidx.room", name = "room-compiler", version.ref = "room" }
paging = {group = "androidx.paging", name = "paging-runtime-ktx", version.ref = "paging" }
viewpager = {group = "androidx.viewpager2", name = "viewpager2", version.ref = "viewpager" }
exifinterface = {group = "androidx.exifinterface", name = "exifinterface", version.ref = "exifinterface" }
browser = {group = "androidx.browser", name = "browser", version.ref = "browser" }
webkit = {group = "androidx.webkit", name = "webkit", version.ref = "webkit" }
camera2 = {group = "androidx.camera", name = "camera-camera2", version.ref = "camera" }
camera-lifecycle = {group = "androidx.camera", name = "camera-lifecycle", version.ref = "camera-view" }
work = {group = "androidx.work", name = "work-runtime-ktx", version.ref = "work" }
shortcuts = {group = "androidx.core", name = "core-google-shortcuts", version.ref = "google-shortcuts" }

hilt = {group = "com.google.dagger", name = "hilt-android", version.ref = "hilt" }
hilt-compiler = {group = "com.google.dagger", name = "hilt-android-compiler", version.ref = "hilt" }
material = {group = "com.google.android.material", name = "material", version.ref = "material" }
gms-base = {group = "com.google.android.gms", name = "play-services-base", version.ref = "play-services-base" }
gms-location = {group = "com.google.android.gms", name = "play-services-location", version.ref = "play-services-location" }
gms-wallet = {group = "com.google.android.gms", name = "play-services-wallet", version.ref = "play-services-wallet" }
firebase-bom = {group = "com.google.firebase", name = "firebase-bom", version.ref = "firebase-bom" }
firebase-analytics = {group = "com.google.firebase", name = "firebase-analytics-ktx" }
firebase-firestore = {group = "com.google.firebase", name = "firebase-firestore-ktx" }
firebase-messaging = {group = "com.google.firebase", name = "firebase-messaging-ktx" }
firebase-config = {group = "com.google.firebase", name = "firebase-config-ktx" }
firebase-crashlytics = {group = "com.google.firebase", name = "firebase-crashlytics-ktx" }
firebase-appcheck = {group = "com.google.firebase", name = "firebase-appcheck-safetynet", version.ref = "appcheck-safetynet" }
installreferrer = {group = "com.google.installreferrer", name = "installreferrer", version.ref = "installreferrer" }
mlkit-barcode = {group = "com.google.mlkit", name = "barcode-scanning", version.ref = "mlkit-barcode" }
play-core-ktx = {group = "com.google.android.play", name = "core-ktx", version.ref = "play-core" }

okhttp = {group = "com.squareup.okhttp3", name = "okhttp", version.ref = "okhttp" }
okhttp-log = {group = "com.squareup.okhttp3", name = "logging-interceptor", version.ref = "okhttp" }
okhttp-tls = {group = "com.squareup.okhttp3", name = "okhttp-tls", version.ref = "okhttp" }
okhttp-mock = {group = "com.squareup.okhttp3", name = "mockwebserver", version.ref = "okhttp" }
retrofit = {group = "com.squareup.retrofit2", name = "retrofit", version.ref = "retrofit" }
retrofit-gson = {group = "com.squareup.retrofit2", name = "converter-gson", version.ref = "retrofit" }
retrofit-scalars = {group = "com.squareup.retrofit2", name = "converter-scalars", version.ref = "retrofit" }

objectbox-android = {group = "io.objectbox", name = "objectbox-android", version.ref = "objectbox" }
objectbox-gradle = {group = "io.objectbox", name = "objectbox-gradle-plugin", version.ref = "objectbox" }
objectbox-kotlin = {group = "io.objectbox", name = "objectbox-kotlin", version.ref = "objectbox" }
objectbox-processor = {group = "io.objectbox", name = "objectbox-processor", version.ref = "objectbox" }

leakcanary = {group = "com.squareup.leakcanary", name = "leakcanary-android", version.ref = "leakcanary" }

decoro = {group = "ru.tinkoff.decoro", name = "decoro", version.ref = "decoro" }

glide = {group = "com.github.bumptech.glide", name = "glide", version.ref = "glide" }
glide-compiler = {group = "com.github.bumptech.glide", name = "compiler", version.ref = "glide" }
glide-okhttp = {group = "com.github.bumptech.glide", name = "okhttp3-integration", version.ref = "glide" }

amplitude = {group = "com.amplitude", name = "android-sdk", version.ref = "amplitude" }

appsflyer = {group = "com.appsflyer", name = "af-android-sdk", version.ref = "appsflyer" }

huawei-ads-identifier = {group = "com.huawei.hms", name = "ads-identifier", version.ref = "huawei-ads-identifier" }

yandex-maps = {group = "com.yandex.android", name = "maps.mobile", version.ref = "yandex-maps" }
yandex-mobmetricalib = {group = "com.yandex.android", name = "mobmetricalib", version.ref = "yandex-mobmetricalib" }
yandex-mobmetricapushlib = {group = "com.yandex.android", name = "mobmetricapushlib", version.ref = "yandex-mobmetricapushlib" }

facebook-shimmer = {group = "com.facebook.shimmer", name = "shimmer", version.ref = "facebook-shimmer" }

netcipher = {group = "info.guardianproject.netcipher", name = "netcipher", version.ref = "netcipher" }

junit = {group = "junit", name = "junit", version.ref = "junit" }
junit-ext = {group = "androidx.test.ext", name = "junit-ktx", version.ref = "junit-androidx" }
espresso = {group = "androidx.test.espresso", name = "espresso-core", version.ref = "espresso" }
test-core = {group = "androidx.test", name = "core-ktx", version.ref = "androidx" }
test-runner = {group = "androidx.test", name = "runner", version.ref = "androidx" }
test-rules = {group = "androidx.test", name = "rules", version.ref = "androidx" }
test-fragment = {group = "androidx.fragment", name = "fragment-testing", version.ref = "androidx" }
test-navigation = {group = "androidx.navigation", name = "navigation-testing", version.ref = "navigation" }
mockito-android = {group = "org.mockito", name = "mockito-android", version.ref = "mockito" }
mockito-core = {group = "org.mockito", name = "mockito-core", version.ref = "mockito" }
powermock-junit = {group = "org.powermock", name = "powermock-module-junit4", version.ref = "powermock" }
powermock-mockito = {group = "org.powermock", name = "powermock-api-mockito2", version.ref = "powermock" }
robolectric = {group = "org.robolectric", name = "robolectric", version.ref = "robolectric" }

slf4j = {group = "org.slf4j", name = "slf4j-api", version = "1.7.33" }
logback-classic = {group = "com.github.tony19", name = "logback-android-classic", version.ref = "logback" }
logback-core = {group = "com.github.tony19", name = "logback-android-core", version.ref = "logback" }
polly = {group = "com.amazonaws", name = "aws-android-sdk-polly", version = "2.37.1" }
ktlint = {group = "com.pinterest", name = "ktlint", version = "0.43.2" }
acra = {group = "ch.acra", name = "acra-http", version = "5.8.4" }
calligraphy = {group = "io.github.inflationx", name = "calligraphy3", version = "3.1.1" }
circleindicator = {group = "me.relex", name = "circleindicator", version = "2.1.6" }
gifdrawable = {group = "pl.droidsonroids.gif", name = "android-gif-drawable", version = "1.2.23" }
hunter = {group = "com.quinn.hunter", name = "hunter-debug-library", version = "1.2.0" }
